ICQ se snaží – používáte starou verzi klienta

… ale k ničemu to nevede.

ICQ nefunguje

Kolegyně mi napsala, že jí nejede ICQ v Adiu, ale že přes historický hnusný ICQ pro Mac se připojí.

Tak jsem si vzpomněla na protokolové brikule v Mirandě a šla zkusit starší verzi programu Adium. A výsledek? Když vám klient řekne chybovou hlášku, že používáte starou verzi klienta a „oprava“ ještě není, tak si stáhněte opravdu starou verzi. 😀

Adium 1.2.5, 1.3b5 nefungují… Adium 1.0.6 funguje.

Klient licq má již opravu dostupnou v svn.

Oprava je silně vtipná 😀 Stačí záměna A za B. 😛
buffer->PackUnsignedShortBE(0x010A);
buffer->PackUnsignedShortBE(0x010B);

Doplněno: Adium 1.2.6, 1.3b6 fungují… 😀 Vtipná oprava zafungovala. 😉